Name: faad-compat
Version: 2.6.1
Release: alt6

Packager: Pavlov Konstantin <thresh@altlinux.ru>
Summary: FAAD is a Freeware Advanced Audio Decoder
License: GPL
Group: Sound
Url: http://www.audiocoding.com

Patch1: faad2-alt-fix-no-ext-segfault.patch
Patch2: faad2-alt-enable-ac-prog-cxx.patch

Source: http://prdownloads.sourceforge.net/faac/faad2-%version.tar.bz2

%define libsndfile_ver 1.0.5

BuildPreReq: libsndfile >= %libsndfile_ver

BuildRequires: gcc-c++ glib-devel gtk+-devel id3lib-devel
BuildRequires: libstdc++-devel libxmms-devel zlib-devel

%description
FAAD is a LC, MAIN and LTP profile MPEG2 and MPEG-4 AAC decoder.

%package -n libfaad
Summary: Freeware Advanced Audio Decoder (FAAD) libraries
Group: System/Libraries

%description -n libfaad
This package contains Freeware Advanced Audio Decoder (FAAD) shared
libraries.

%prep
%setup -q -n faad2-%version

%patch1 -p2
%patch2 -p2

find ./ -type f -name "Makefile*" -print0 | \
xargs -r0 %__subst 's,^\(CFLAGS\),AM_\1,g
		    s,^\(LDFLAGS\),AM_\1,g
		    s,^[[:blank:]*],\t,' --

%define _xmms_input_plugin_dir %(xmms-config --input-plugin-dir)

%build
%add_optflags %optflags_shared
#%_buildshell ./bootstrap
autoreconf -isfv
%configure --disable-static \
	    --without-drm \
	    --with-xmms

%make_build

%install
%make_install DESTDIR=%buildroot install

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la

%files -n libfaad
%_libdir/*.so.*
%doc AUTHORS ChangeLog NEWS README TODO

%changelog
* Wed May 13 2009 Pavlov Konstantin <thresh@altlinux.ru> 2.6.1-alt6
- Fix build with current toolchain.

* Fri Mar 06 2009 Pavlov Konstantin <thresh@altlinux.ru> 2.6.1-alt5
- Make compat package.

* Tue Apr 08 2008 Pavlov Konstantin <thresh@altlinux.ru> 2.6.1-alt4
- Disable DRM support: fixes #14873.

* Tue Mar 11 2008 Pavlov Konstantin <thresh@altlinux.ru> 2.6.1-alt3
- Fix #8750.

* Mon Jan 28 2008 Pavlov Konstantin <thresh@altlinux.ru> 2.6.1-alt2
- Fix #13893: renamed xmms-input-faad to xmms-in-faad.

* Tue Nov 13 2007 Pavlov Konstantin <thresh@altlinux.ru> 2.6.1-alt1
- 2.6.1 release.

* Mon Oct 29 2007 Pavlov Konstantin <thresh@altlinux.ru> 2.6-alt1
- 2.6 release. 

* Tue Jul 04 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.0-alt3.20040923
- Tuned buildrequires.

* Tue Jul 04 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.0-alt2.20040923
- Added gcc4 patch.

* Thu Jan 27 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt1.2_20040923
- libfaad do not more provides libmp4v2.

* Tue Jan 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt1.1_20040923
- updated to 20040923 cvs snapshot.

* Mon May 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt1
- 2.0 release.

* Mon Dec 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt0.7rc3
- install more headers so that libfaad{,-devel} will provide
  libmp4v2{,-devel}.

* Mon Dec 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt0.6rc3
- do not package .la files.

* Thu Nov 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt0.5rc3
- 2.0rc3.

* Sat Jun 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1-alt1
- First build for Sisyphus.

